Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Hue's plugins for MRv1 won't start after upgrade CDH4->CDH5

Solved Go to solution

Hue's plugins for MRv1 won't start after upgrade CDH4->CDH5

New Contributor

Hi!

 

Our cluster has been upgraded from CDH 4.6 to 5.1.3. Upgrade process was seamless, but since this moment Hue can't connect to mapreduce1 JobTracker.

That right:

[root@host03 ~]# netstat -nlpt | grep 9290
[root@host03 ~]#

 

Because service doesn't run:
[root@host03 ~]# tail -f /var/log/hadoop-0.20-mapreduce/hadoop-cmf-mapreduce1-JOBTRACKER.log.out | grep -i plug

2014-11-05 00:12:57,880 WARN org.apache.hadoop.util.PluginDispatcher: Unable to load mapred.jobtracker.plugins plugins

 

 

My Cloudera Manager settings:

mapred.jobtracker.plugins=""

Enable JobTracker Plugins Required for Hue="On"

jobtracker.thrift.address="9290"

 

As I understand this is identical to reference values:

<property>
  <name>jobtracker.thrift.address</name>
  <value>0.0.0.0:9290</value>
</property>
<property>
  <name>mapred.jobtracker.plugins</name>
  <value>org.apache.hadoop.thriftfs.ThriftJobTrackerPlugin</value>
</property>

 

 

I've put hue-plugins.jar files anywhere:

[root@host03 cmf]# find / -name hue-plugins-*.jar
/usr/lib/hadoop-0.20-mapreduce/lib/hue-plugins-3.6.0-cdh5.1.3.jar
/usr/lib/hadoop/lib/hue-plugins-3.6.0-cdh5.1.3.jar
/usr/share/cmf/lib/hue-plugins-2.1.0-cdh4.1.0.jar
/usr/share/cmf/lib/hue-plugins-3.6.0-cdh5.1.3.jar
/usr/share/cmf/cloudera-navigator-audit-server/hue-plugins-2.1.0-cdh4.1.0.jar
/usr/share/cmf/cloudera-navigator-audit-server/hue-plugins-3.6.0-cdh5.1.3.jar
/opt/cloudera/parcels/CDH-5.1.3-1.cdh5.1.3.p0.12/lib/hadoop/lib/hue-plugins-3.6.0-cdh5.1.3.jar
/opt/cloudera/parcels/CDH-5.1.3-1.cdh5.1.3.p0.12/lib/hue/desktop/libs/hadoop/java-lib/hue-plugins-3.6.0-cdh5.1.3.jar

 

... and duplicated it with SNAPSHOT word in filename:

/usr/lib/hadoop-0.20-mapreduce/lib/hue-plugins-3.6.0-cdh5.1.3-SNAPSHOT.jar

/usr/lib/hadoop/lib/hue-plugins-3.6.0-cdh5.1.3-SNAPSHOT.jar

 

 

I've set 755 permissions for all this files (was 644 after upgrade).

 

No any effect. :(

 

What else can I check?

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Hue's plugins for MRv1 won't start after upgrade CDH4->CDH5

Cloudera Employee
Is JobTracker perhaps running with JDK 1.6? If so, that would explain why hue plugins wouldn't load, they are compiled for JDK 1.7 only.
4 REPLIES 4

Re: Hue's plugins for MRv1 won't start after upgrade CDH4->CDH5

New Contributor

Hi,

 

Remove old version of hue plugins and restart the MR. It should load.

Re: Hue's plugins for MRv1 won't start after upgrade CDH4->CDH5

New Contributor

Hi!

 

I've removed all hue-plugins-2.1.0-cdh4.1.0.jar files from all cluster's hosts and restarted mapreduce1 services. Same result:

PluginDispatcher: Unable to load mapred.jobtracker.plugins plugins

 

Then I've tried to put hue-plugins-3.6.0-cdh5.1.3.jar instead old files to same folders:

/usr/share/cmf/lib/

/usr/share/cmf/cloudera-navigator-audit-server/

 

Anyway - It does not load.

 

 

Unfortunately there no MRv1 service in cloudera-quickstart-vm-5.0.0-0 image. I would be happy to compare our cluster with reference setup. :(

 

Re: Hue's plugins for MRv1 won't start after upgrade CDH4->CDH5

Cloudera Employee
Is JobTracker perhaps running with JDK 1.6? If so, that would explain why hue plugins wouldn't load, they are compiled for JDK 1.7 only.

Re: Hue's plugins for MRv1 won't start after upgrade CDH4->CDH5

New Contributor

Yes. JDK 1.6.

Thank you for the advice!